Skip to content
Letterhead Letterhead Letterhead Help Center
Admin Tools

Update a company team member

PUT
/api/v3/teams/company/{platformUserUniqueId}
curl --request PUT \
--url https://api.tryletterhead.com/api/v3/teams/company/example \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "role": "administrator", "channels": [ "amazing-example" ], "accountAdminAccess": true }'

Changes an existing team member’s role, channel access, or account-admin access.

platformUserUniqueId
required
string

The team member’s unique identifier, from the team member list.

Media type application/json
object
role
required
string
Allowed values: administrator content_contributor
channels
required

Channel slugs this member has access to.

Array<string>
accountAdminAccess
required
boolean
Example
{
"role": "administrator",
"channels": [
"amazing-example"
],
"accountAdminAccess": true
}

200 OK

Media type application/json
object
items
Array
message
string
total
integer
Example
{
"items": [],
"message": "Team member updated.",
"total": 10
}

Still can’t find what you need? Contact support.